// Copyright (C) 2020-2023 David Sugar, Tycho Softworks
// This code is licensed under MIT license

#ifndef COMPILER_HPP_
#define COMPILER_HPP_

#ifdef __clang__
#pragma clang diagnostic ignored "-Wpadded"
#pragma clang diagnostic ignored "-Wswitch-enum"
#pragma clang diagnostic ignored "-Wnested-anon-types"
#pragma clang diagnostic ignored "-Wgnu-anonymous-struct"
#pragma clang diagnostic ignored "-Wmissing-field-initializers"
#pragma clang diagnostic ignored "-Wweak-vtables"
#pragma clang diagnostic ignored "-Wunused-member-function"
#endif

#ifdef __GNUC__
#pragma GCC diagnostic ignored "-Wunused-result"
#pragma GCC diagnostic ignored "-Wzero-as-null-pointer-constant"
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#if(__cplusplus < 201703L)
#error C++17 compliant compiler required
#endif

#include "config.hpp"
#include <cassert>

#define NO_EXPORT __attribute__ ((visibility("hidden")))    // NOLINT

namespace tycho {
template<typename T>
inline auto is(const T& object) {
    return object.operator bool();
}

class keyfile;
} // end namespace

using namespace tycho;

/*!
 * Compiler and platform specific definitions.
 * \file compiler.hpp
 */
#endif
