// Copyright (C) 2020-2023 David Sugar, Tycho Softworks
// This code is licensed under MIT license

#ifndef	CONFIG_HPP_
#define	CONFIG_HPP_

#define PROJECT_VERSION "0.7.8"
#define SERVER_ID "bordeaux"
#define SERVER_CONTROL_IPC "/var/run/bordeaux/control"
#define SERVER_PREFIX_PATH "/var/lib/bordeaux"
#define SERVER_LOGGER_PATH "/var/log/bordeaux"
#define SERVER_CONFIG_FILE "/etc/bordeaux.conf"

#define BORDEAUX_VOICES_PATH "/usr/share/bordeaux/voices"
#define BORDEAUX_PROMPTS_PATH "/var/lib/bordeaux"
#define BORDEAUX_SCRIPTS_PATH "/usr/share/bordeaux/scripts"
#define BORDEAUX_MODULES_PATH "/usr/share/bordeaux/modules"
#define BORDEAUX_DRIVERS_PATH "/usr/lib/aarch64-linux-gnu/bordeaux"
#define BORDEAUX_PLUGINS_PATH "/usr/lib/aarch64-linux-gnu/bordeaux"
#define BORDEAUX_DEFAULT_DRIVER "generic"
#define BORDEAUX_IPCPATH "/bordeaux-system"
/* #undef BORDEAUX_VOICE_MODULES */

#define TUNE_SYMBOLS_PAGER 4096
#define TUNE_COMPILE_PAGER 4096
#define TUNE_SYMBOLS_INDEX 123
#define TUNE_SYMBOL_SIZE 64
#define TUNE_MAX_DIGITS 32
#define TUNE_MAX_LEVELS 20
#define TUNE_STEP_RATE 50
#define TUNE_STEP_COUNT 5

/*!
 * Default configuration created from project file.
 * \file config.hpp
 */
#endif
